Get appointment

GET /api/v2/appointments/:appointment_uuid - Fetch a single appointment or block by UUID.

GET/api/v2/appointments/:appointment_uuid

Fetch a single appointment or block by UUID.

Required scope: appointments (or *).

Path parameters

NameRequiredDescription
appointment_uuidYesAppointment UUID

Example request

curl -s -H "Authorization: Bearer YOUR_TOKEN" \
  "https://benefitpath.com/api/v2/appointments/c0a80101-0000-4000-8000-000000000002"

Example response

{
  "success": true,
  "appointment": {
    "appointment_uuid": "c0a80101-0000-4000-8000-000000000002",
    "agent_uuid": "c0a80101-0000-4000-8000-000000000003",
    "contact_uuid": "c0a80101-0000-4000-8000-000000000001",
    "title": "Benefit consultation",
    "notes": "Follow up on plan options",
    "start_time": "2026-07-21 14:30:00",
    "end_time": "2026-07-21 15:00:00",
    "timezone": "America/New_York",
    "appointment_type": "appointment",
    "status": "scheduled"
  }
}

See Calendar and Errors.